org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class DistributedSchedulingAllocateRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.DistributedSchedulingAllocateRequest
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.DistributedSchedulingAllocateRequestPBImpl

-     public class DistributedSchedulingAllocateRequestPBImpl
      extends DistributedSchedulingAllocateRequest

  Implementation of `DistributedSchedulingAllocateRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedSchedulingAllocateRequestPBImpl()`
    `DistributedSchedulingAllocateRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.DistributedSchedulingAllocateRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.apache.hadoop.yarn.api.records.Container>` | `getAllocatedContainers()` Get the list of newly allocated `Container` by the Distributed Scheduling component on the NodeManager.
    `org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest` | `getAllocateRequest()` Get the underlying `AllocateRequest` object.
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.DistributedSchedulingAllocateRequestProto` | `getProto()`
    `void` | `setAllocatedContainers(List<org.apache.hadoop.yarn.api.records.Container> pContainers)` Set the list of newly allocated `Container` by the Distributed Scheduling component on the NodeManager.
    `void` | `setAllocateRequest(org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest pAllocateRequest)` Set the underlying `AllocateRequest` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedSchedulingAllocateRequestPBImpl

          public DistributedSchedulingAllocateRequestPBImpl()

    - #### DistributedSchedulingAllocateRequestPBImpl

          public DistributedSchedulingAllocateRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.DistributedSchedulingAllocateRequestProto proto)

  - ### Method Detail

    - #### getAllocateRequest

          public org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest getAllocateRequest()

      Description copied from class: `DistributedSchedulingAllocateRequest`
      Get the underlying `AllocateRequest` object.
      Specified by:
        `getAllocateRequest` in class `DistributedSchedulingAllocateRequest`
      Returns:
        Allocate request

    - #### setAllocateRequest

          public void setAllocateRequest(org.apache.hadoop.yarn.api.protocolrecords.AllocateRequest pAllocateRequest)

      Description copied from class: `DistributedSchedulingAllocateRequest`
      Set the underlying `AllocateRequest` object.
      Specified by:
        `setAllocateRequest` in class `DistributedSchedulingAllocateRequest`
      Parameters:
        `pAllocateRequest` - Allocate request

    - #### getAllocatedContainers

          public List<org.apache.hadoop.yarn.api.records.Container> getAllocatedContainers()

      Description copied from class: `DistributedSchedulingAllocateRequest`
      Get the list of newly allocated `Container` by the Distributed Scheduling component on the NodeManager.
      Specified by:
        `getAllocatedContainers` in class `DistributedSchedulingAllocateRequest`
      Returns:
        list of newly allocated `Container`

    - #### setAllocatedContainers

          public void setAllocatedContainers(List<org.apache.hadoop.yarn.api.records.Container> pContainers)

      Description copied from class: `DistributedSchedulingAllocateRequest`
      Set the list of newly allocated `Container` by the Distributed Scheduling component on the NodeManager.
      Specified by:
        `setAllocatedContainers` in class `DistributedSchedulingAllocateRequest`
      Parameters:
        `pContainers` - list of newly allocated `Container`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.DistributedSchedulingAllocateRequestProto getProto()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.